LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::beans::PropertyConcept Constant Group Referencepublished

These constants are used to specify concepts of the introspection which apply to properties and to the methods which represent attributes. More...

## Variables
const long | ALL = -1
| This value is used to query for all properties. More...
const long | DANGEROUS = 1
| specifies that the change or retrieval of this property directly by the user can result in an unstable state (deadlock, application crash, security hole, etc.) More...
const long | PROPERTYSET = 2
| specifies all properties which are reachable by XPropertySet, XFastPropertySet or XMultiPropertySet. More...
const long | ATTRIBUTES = 4
| specifies all properties which are actually attributes of interfaces. More...
const long | METHODS = 8
| specifies all properties which are represented by getter or setter methods. More...

## Detailed Description

These constants are used to specify concepts of the introspection which apply to properties and to the methods which represent attributes.

This list is not necessarily complete; new constants may be added.

See also
  Introspection
  XIntrospection
  XIntrospectionAccess

## Variable Documentation

## ◆ ALL

const long ALL = -1

This value is used to query for all properties.

See XIntrospectionAccess::getProperty() and XIntrospectionAccess::getProperties()

## ◆ ATTRIBUTES

const long ATTRIBUTES = 4

specifies all properties which are actually attributes of interfaces.

## ◆ DANGEROUS

const long DANGEROUS = 1

specifies that the change or retrieval of this property directly by the user can result in an unstable state (deadlock, application crash, security hole, etc.)

## ◆ METHODS

const long METHODS = 8

specifies all properties which are represented by getter or setter methods.

These methods have the signature `type get...()`, `void set...()` or `boolean is...()`.

## ◆ PROPERTYSET

const long PROPERTYSET = 2

specifies all properties which are reachable by XPropertySet, XFastPropertySet or XMultiPropertySet.